#include "lqt_bind_QEvent.hpp"

int LuaBinder< QEvent >::__LuaWrapCall__delete (lua_State *L) {
  QEvent *& __lua__obj = *static_cast<QEvent**>(lqtL_checkudata(L, 1, "QEvent*"));
	if (__lua__obj==0) {
		lua_pushstring(L, "trying to reference deleted pointer");
		lua_error(L);
		return 0;
	}
  delete __lua__obj;
  __lua__obj = 0;
  return 0;
}
int LuaBinder< QEvent >::__LuaWrapCall__type (lua_State *L) {
  QEvent *& __lua__obj = *static_cast<QEvent**>(lqtL_checkudata(L, 1, "QEvent*"));
	if (__lua__obj==0) {
		lua_pushstring(L, "trying to reference deleted pointer");
		lua_error(L);
		return 0;
	}
  QEvent::Type ret = __lua__obj->QEvent::type();
  lqtL_pushenum(L, ret, "QEvent::Type");
  return 1;
}
int LuaBinder< QEvent >::__LuaWrapCall__setAccepted (lua_State *L) {
  QEvent *& __lua__obj = *static_cast<QEvent**>(lqtL_checkudata(L, 1, "QEvent*"));
	if (__lua__obj==0) {
		lua_pushstring(L, "trying to reference deleted pointer");
		lua_error(L);
		return 0;
	}
  bool arg1 = (bool)lua_toboolean(L, 2);
  __lua__obj->QEvent::setAccepted(arg1);
  return 0;
}
int LuaBinder< QEvent >::__LuaWrapCall__accept (lua_State *L) {
  QEvent *& __lua__obj = *static_cast<QEvent**>(lqtL_checkudata(L, 1, "QEvent*"));
	if (__lua__obj==0) {
		lua_pushstring(L, "trying to reference deleted pointer");
		lua_error(L);
		return 0;
	}
  __lua__obj->QEvent::accept();
  return 0;
}
int LuaBinder< QEvent >::__LuaWrapCall__isAccepted (lua_State *L) {
  QEvent *& __lua__obj = *static_cast<QEvent**>(lqtL_checkudata(L, 1, "QEvent*"));
	if (__lua__obj==0) {
		lua_pushstring(L, "trying to reference deleted pointer");
		lua_error(L);
		return 0;
	}
  bool ret = __lua__obj->QEvent::isAccepted();
  lua_pushboolean(L, ret);
  return 1;
}
int LuaBinder< QEvent >::__LuaWrapCall__spontaneous (lua_State *L) {
  QEvent *& __lua__obj = *static_cast<QEvent**>(lqtL_checkudata(L, 1, "QEvent*"));
	if (__lua__obj==0) {
		lua_pushstring(L, "trying to reference deleted pointer");
		lua_error(L);
		return 0;
	}
  bool ret = __lua__obj->QEvent::spontaneous();
  lua_pushboolean(L, ret);
  return 1;
}
int LuaBinder< QEvent >::__LuaWrapCall__ignore (lua_State *L) {
  QEvent *& __lua__obj = *static_cast<QEvent**>(lqtL_checkudata(L, 1, "QEvent*"));
	if (__lua__obj==0) {
		lua_pushstring(L, "trying to reference deleted pointer");
		lua_error(L);
		return 0;
	}
  __lua__obj->QEvent::ignore();
  return 0;
}
LuaBinder< QEvent >::  ~LuaBinder< QEvent > () {
  int oldtop = lua_gettop(L);
  lqtL_pushudata(L, this, "QEvent*");
  lua_getfield(L, -1, "~QEvent");

  if (lua_isfunction(L, -1)) {
    lua_insert(L, -2);
    lua_pcall(L, 1, 1, 0);
  } else {
  }
  lua_settop(L, oldtop);
}
int LuaBinder< QEvent >::lqt_pushenum_Type (lua_State *L) {
  int enum_table = 0;
  lua_getfield(L, LUA_REGISTRYINDEX, LQT_ENUMS);
  if (!lua_istable(L, -1)) {
    lua_pop(L, 1);
    lua_newtable(L);
    lua_pushvalue(L, -1);
    lua_setfield(L, LUA_REGISTRYINDEX, LQT_ENUMS);
  }
  lua_newtable(L);
  enum_table = lua_gettop(L);
  lua_pushstring(L, "None");
  lua_rawseti(L, enum_table, 0);
  lua_pushinteger(L, 0);
  lua_setfield(L, enum_table, "None");
  lua_pushstring(L, "Timer");
  lua_rawseti(L, enum_table, 1);
  lua_pushinteger(L, 1);
  lua_setfield(L, enum_table, "Timer");
  lua_pushstring(L, "MouseButtonPress");
  lua_rawseti(L, enum_table, 2);
  lua_pushinteger(L, 2);
  lua_setfield(L, enum_table, "MouseButtonPress");
  lua_pushstring(L, "MouseButtonRelease");
  lua_rawseti(L, enum_table, 3);
  lua_pushinteger(L, 3);
  lua_setfield(L, enum_table, "MouseButtonRelease");
  lua_pushstring(L, "MouseButtonDblClick");
  lua_rawseti(L, enum_table, 4);
  lua_pushinteger(L, 4);
  lua_setfield(L, enum_table, "MouseButtonDblClick");
  lua_pushstring(L, "MouseMove");
  lua_rawseti(L, enum_table, 5);
  lua_pushinteger(L, 5);
  lua_setfield(L, enum_table, "MouseMove");
  lua_pushstring(L, "KeyPress");
  lua_rawseti(L, enum_table, 6);
  lua_pushinteger(L, 6);
  lua_setfield(L, enum_table, "KeyPress");
  lua_pushstring(L, "KeyRelease");
  lua_rawseti(L, enum_table, 7);
  lua_pushinteger(L, 7);
  lua_setfield(L, enum_table, "KeyRelease");
  lua_pushstring(L, "FocusIn");
  lua_rawseti(L, enum_table, 8);
  lua_pushinteger(L, 8);
  lua_setfield(L, enum_table, "FocusIn");
  lua_pushstring(L, "FocusOut");
  lua_rawseti(L, enum_table, 9);
  lua_pushinteger(L, 9);
  lua_setfield(L, enum_table, "FocusOut");
  lua_pushstring(L, "Enter");
  lua_rawseti(L, enum_table, 10);
  lua_pushinteger(L, 10);
  lua_setfield(L, enum_table, "Enter");
  lua_pushstring(L, "Leave");
  lua_rawseti(L, enum_table, 11);
  lua_pushinteger(L, 11);
  lua_setfield(L, enum_table, "Leave");
  lua_pushstring(L, "Paint");
  lua_rawseti(L, enum_table, 12);
  lua_pushinteger(L, 12);
  lua_setfield(L, enum_table, "Paint");
  lua_pushstring(L, "Move");
  lua_rawseti(L, enum_table, 13);
  lua_pushinteger(L, 13);
  lua_setfield(L, enum_table, "Move");
  lua_pushstring(L, "Resize");
  lua_rawseti(L, enum_table, 14);
  lua_pushinteger(L, 14);
  lua_setfield(L, enum_table, "Resize");
  lua_pushstring(L, "Create");
  lua_rawseti(L, enum_table, 15);
  lua_pushinteger(L, 15);
  lua_setfield(L, enum_table, "Create");
  lua_pushstring(L, "Destroy");
  lua_rawseti(L, enum_table, 16);
  lua_pushinteger(L, 16);
  lua_setfield(L, enum_table, "Destroy");
  lua_pushstring(L, "Show");
  lua_rawseti(L, enum_table, 17);
  lua_pushinteger(L, 17);
  lua_setfield(L, enum_table, "Show");
  lua_pushstring(L, "Hide");
  lua_rawseti(L, enum_table, 18);
  lua_pushinteger(L, 18);
  lua_setfield(L, enum_table, "Hide");
  lua_pushstring(L, "Close");
  lua_rawseti(L, enum_table, 19);
  lua_pushinteger(L, 19);
  lua_setfield(L, enum_table, "Close");
  lua_pushstring(L, "Quit");
  lua_rawseti(L, enum_table, 20);
  lua_pushinteger(L, 20);
  lua_setfield(L, enum_table, "Quit");
  lua_pushstring(L, "ParentChange");
  lua_rawseti(L, enum_table, 21);
  lua_pushinteger(L, 21);
  lua_setfield(L, enum_table, "ParentChange");
  lua_pushstring(L, "ParentAboutToChange");
  lua_rawseti(L, enum_table, 131);
  lua_pushinteger(L, 131);
  lua_setfield(L, enum_table, "ParentAboutToChange");
  lua_pushstring(L, "ThreadChange");
  lua_rawseti(L, enum_table, 22);
  lua_pushinteger(L, 22);
  lua_setfield(L, enum_table, "ThreadChange");
  lua_pushstring(L, "WindowActivate");
  lua_rawseti(L, enum_table, 24);
  lua_pushinteger(L, 24);
  lua_setfield(L, enum_table, "WindowActivate");
  lua_pushstring(L, "WindowDeactivate");
  lua_rawseti(L, enum_table, 25);
  lua_pushinteger(L, 25);
  lua_setfield(L, enum_table, "WindowDeactivate");
  lua_pushstring(L, "ShowToParent");
  lua_rawseti(L, enum_table, 26);
  lua_pushinteger(L, 26);
  lua_setfield(L, enum_table, "ShowToParent");
  lua_pushstring(L, "HideToParent");
  lua_rawseti(L, enum_table, 27);
  lua_pushinteger(L, 27);
  lua_setfield(L, enum_table, "HideToParent");
  lua_pushstring(L, "Wheel");
  lua_rawseti(L, enum_table, 31);
  lua_pushinteger(L, 31);
  lua_setfield(L, enum_table, "Wheel");
  lua_pushstring(L, "WindowTitleChange");
  lua_rawseti(L, enum_table, 33);
  lua_pushinteger(L, 33);
  lua_setfield(L, enum_table, "WindowTitleChange");
  lua_pushstring(L, "WindowIconChange");
  lua_rawseti(L, enum_table, 34);
  lua_pushinteger(L, 34);
  lua_setfield(L, enum_table, "WindowIconChange");
  lua_pushstring(L, "ApplicationWindowIconChange");
  lua_rawseti(L, enum_table, 35);
  lua_pushinteger(L, 35);
  lua_setfield(L, enum_table, "ApplicationWindowIconChange");
  lua_pushstring(L, "ApplicationFontChange");
  lua_rawseti(L, enum_table, 36);
  lua_pushinteger(L, 36);
  lua_setfield(L, enum_table, "ApplicationFontChange");
  lua_pushstring(L, "ApplicationLayoutDirectionChange");
  lua_rawseti(L, enum_table, 37);
  lua_pushinteger(L, 37);
  lua_setfield(L, enum_table, "ApplicationLayoutDirectionChange");
  lua_pushstring(L, "ApplicationPaletteChange");
  lua_rawseti(L, enum_table, 38);
  lua_pushinteger(L, 38);
  lua_setfield(L, enum_table, "ApplicationPaletteChange");
  lua_pushstring(L, "PaletteChange");
  lua_rawseti(L, enum_table, 39);
  lua_pushinteger(L, 39);
  lua_setfield(L, enum_table, "PaletteChange");
  lua_pushstring(L, "Clipboard");
  lua_rawseti(L, enum_table, 40);
  lua_pushinteger(L, 40);
  lua_setfield(L, enum_table, "Clipboard");
  lua_pushstring(L, "Speech");
  lua_rawseti(L, enum_table, 42);
  lua_pushinteger(L, 42);
  lua_setfield(L, enum_table, "Speech");
  lua_pushstring(L, "MetaCall");
  lua_rawseti(L, enum_table, 43);
  lua_pushinteger(L, 43);
  lua_setfield(L, enum_table, "MetaCall");
  lua_pushstring(L, "SockAct");
  lua_rawseti(L, enum_table, 50);
  lua_pushinteger(L, 50);
  lua_setfield(L, enum_table, "SockAct");
  lua_pushstring(L, "WinEventAct");
  lua_rawseti(L, enum_table, 132);
  lua_pushinteger(L, 132);
  lua_setfield(L, enum_table, "WinEventAct");
  lua_pushstring(L, "DeferredDelete");
  lua_rawseti(L, enum_table, 52);
  lua_pushinteger(L, 52);
  lua_setfield(L, enum_table, "DeferredDelete");
  lua_pushstring(L, "DragEnter");
  lua_rawseti(L, enum_table, 60);
  lua_pushinteger(L, 60);
  lua_setfield(L, enum_table, "DragEnter");
  lua_pushstring(L, "DragMove");
  lua_rawseti(L, enum_table, 61);
  lua_pushinteger(L, 61);
  lua_setfield(L, enum_table, "DragMove");
  lua_pushstring(L, "DragLeave");
  lua_rawseti(L, enum_table, 62);
  lua_pushinteger(L, 62);
  lua_setfield(L, enum_table, "DragLeave");
  lua_pushstring(L, "Drop");
  lua_rawseti(L, enum_table, 63);
  lua_pushinteger(L, 63);
  lua_setfield(L, enum_table, "Drop");
  lua_pushstring(L, "DragResponse");
  lua_rawseti(L, enum_table, 64);
  lua_pushinteger(L, 64);
  lua_setfield(L, enum_table, "DragResponse");
  lua_pushstring(L, "ChildAdded");
  lua_rawseti(L, enum_table, 68);
  lua_pushinteger(L, 68);
  lua_setfield(L, enum_table, "ChildAdded");
  lua_pushstring(L, "ChildPolished");
  lua_rawseti(L, enum_table, 69);
  lua_pushinteger(L, 69);
  lua_setfield(L, enum_table, "ChildPolished");
  lua_pushstring(L, "ChildRemoved");
  lua_rawseti(L, enum_table, 71);
  lua_pushinteger(L, 71);
  lua_setfield(L, enum_table, "ChildRemoved");
  lua_pushstring(L, "ShowWindowRequest");
  lua_rawseti(L, enum_table, 73);
  lua_pushinteger(L, 73);
  lua_setfield(L, enum_table, "ShowWindowRequest");
  lua_pushstring(L, "PolishRequest");
  lua_rawseti(L, enum_table, 74);
  lua_pushinteger(L, 74);
  lua_setfield(L, enum_table, "PolishRequest");
  lua_pushstring(L, "Polish");
  lua_rawseti(L, enum_table, 75);
  lua_pushinteger(L, 75);
  lua_setfield(L, enum_table, "Polish");
  lua_pushstring(L, "LayoutRequest");
  lua_rawseti(L, enum_table, 76);
  lua_pushinteger(L, 76);
  lua_setfield(L, enum_table, "LayoutRequest");
  lua_pushstring(L, "UpdateRequest");
  lua_rawseti(L, enum_table, 77);
  lua_pushinteger(L, 77);
  lua_setfield(L, enum_table, "UpdateRequest");
  lua_pushstring(L, "UpdateLater");
  lua_rawseti(L, enum_table, 78);
  lua_pushinteger(L, 78);
  lua_setfield(L, enum_table, "UpdateLater");
  lua_pushstring(L, "EmbeddingControl");
  lua_rawseti(L, enum_table, 79);
  lua_pushinteger(L, 79);
  lua_setfield(L, enum_table, "EmbeddingControl");
  lua_pushstring(L, "ActivateControl");
  lua_rawseti(L, enum_table, 80);
  lua_pushinteger(L, 80);
  lua_setfield(L, enum_table, "ActivateControl");
  lua_pushstring(L, "DeactivateControl");
  lua_rawseti(L, enum_table, 81);
  lua_pushinteger(L, 81);
  lua_setfield(L, enum_table, "DeactivateControl");
  lua_pushstring(L, "ContextMenu");
  lua_rawseti(L, enum_table, 82);
  lua_pushinteger(L, 82);
  lua_setfield(L, enum_table, "ContextMenu");
  lua_pushstring(L, "InputMethod");
  lua_rawseti(L, enum_table, 83);
  lua_pushinteger(L, 83);
  lua_setfield(L, enum_table, "InputMethod");
  lua_pushstring(L, "AccessibilityPrepare");
  lua_rawseti(L, enum_table, 86);
  lua_pushinteger(L, 86);
  lua_setfield(L, enum_table, "AccessibilityPrepare");
  lua_pushstring(L, "TabletMove");
  lua_rawseti(L, enum_table, 87);
  lua_pushinteger(L, 87);
  lua_setfield(L, enum_table, "TabletMove");
  lua_pushstring(L, "LocaleChange");
  lua_rawseti(L, enum_table, 88);
  lua_pushinteger(L, 88);
  lua_setfield(L, enum_table, "LocaleChange");
  lua_pushstring(L, "LanguageChange");
  lua_rawseti(L, enum_table, 89);
  lua_pushinteger(L, 89);
  lua_setfield(L, enum_table, "LanguageChange");
  lua_pushstring(L, "LayoutDirectionChange");
  lua_rawseti(L, enum_table, 90);
  lua_pushinteger(L, 90);
  lua_setfield(L, enum_table, "LayoutDirectionChange");
  lua_pushstring(L, "Style");
  lua_rawseti(L, enum_table, 91);
  lua_pushinteger(L, 91);
  lua_setfield(L, enum_table, "Style");
  lua_pushstring(L, "TabletPress");
  lua_rawseti(L, enum_table, 92);
  lua_pushinteger(L, 92);
  lua_setfield(L, enum_table, "TabletPress");
  lua_pushstring(L, "TabletRelease");
  lua_rawseti(L, enum_table, 93);
  lua_pushinteger(L, 93);
  lua_setfield(L, enum_table, "TabletRelease");
  lua_pushstring(L, "OkRequest");
  lua_rawseti(L, enum_table, 94);
  lua_pushinteger(L, 94);
  lua_setfield(L, enum_table, "OkRequest");
  lua_pushstring(L, "HelpRequest");
  lua_rawseti(L, enum_table, 95);
  lua_pushinteger(L, 95);
  lua_setfield(L, enum_table, "HelpRequest");
  lua_pushstring(L, "IconDrag");
  lua_rawseti(L, enum_table, 96);
  lua_pushinteger(L, 96);
  lua_setfield(L, enum_table, "IconDrag");
  lua_pushstring(L, "FontChange");
  lua_rawseti(L, enum_table, 97);
  lua_pushinteger(L, 97);
  lua_setfield(L, enum_table, "FontChange");
  lua_pushstring(L, "EnabledChange");
  lua_rawseti(L, enum_table, 98);
  lua_pushinteger(L, 98);
  lua_setfield(L, enum_table, "EnabledChange");
  lua_pushstring(L, "ActivationChange");
  lua_rawseti(L, enum_table, 99);
  lua_pushinteger(L, 99);
  lua_setfield(L, enum_table, "ActivationChange");
  lua_pushstring(L, "StyleChange");
  lua_rawseti(L, enum_table, 100);
  lua_pushinteger(L, 100);
  lua_setfield(L, enum_table, "StyleChange");
  lua_pushstring(L, "IconTextChange");
  lua_rawseti(L, enum_table, 101);
  lua_pushinteger(L, 101);
  lua_setfield(L, enum_table, "IconTextChange");
  lua_pushstring(L, "ModifiedChange");
  lua_rawseti(L, enum_table, 102);
  lua_pushinteger(L, 102);
  lua_setfield(L, enum_table, "ModifiedChange");
  lua_pushstring(L, "MouseTrackingChange");
  lua_rawseti(L, enum_table, 109);
  lua_pushinteger(L, 109);
  lua_setfield(L, enum_table, "MouseTrackingChange");
  lua_pushstring(L, "WindowBlocked");
  lua_rawseti(L, enum_table, 103);
  lua_pushinteger(L, 103);
  lua_setfield(L, enum_table, "WindowBlocked");
  lua_pushstring(L, "WindowUnblocked");
  lua_rawseti(L, enum_table, 104);
  lua_pushinteger(L, 104);
  lua_setfield(L, enum_table, "WindowUnblocked");
  lua_pushstring(L, "WindowStateChange");
  lua_rawseti(L, enum_table, 105);
  lua_pushinteger(L, 105);
  lua_setfield(L, enum_table, "WindowStateChange");
  lua_pushstring(L, "ToolTip");
  lua_rawseti(L, enum_table, 110);
  lua_pushinteger(L, 110);
  lua_setfield(L, enum_table, "ToolTip");
  lua_pushstring(L, "WhatsThis");
  lua_rawseti(L, enum_table, 111);
  lua_pushinteger(L, 111);
  lua_setfield(L, enum_table, "WhatsThis");
  lua_pushstring(L, "StatusTip");
  lua_rawseti(L, enum_table, 112);
  lua_pushinteger(L, 112);
  lua_setfield(L, enum_table, "StatusTip");
  lua_pushstring(L, "ActionChanged");
  lua_rawseti(L, enum_table, 113);
  lua_pushinteger(L, 113);
  lua_setfield(L, enum_table, "ActionChanged");
  lua_pushstring(L, "ActionAdded");
  lua_rawseti(L, enum_table, 114);
  lua_pushinteger(L, 114);
  lua_setfield(L, enum_table, "ActionAdded");
  lua_pushstring(L, "ActionRemoved");
  lua_rawseti(L, enum_table, 115);
  lua_pushinteger(L, 115);
  lua_setfield(L, enum_table, "ActionRemoved");
  lua_pushstring(L, "FileOpen");
  lua_rawseti(L, enum_table, 116);
  lua_pushinteger(L, 116);
  lua_setfield(L, enum_table, "FileOpen");
  lua_pushstring(L, "Shortcut");
  lua_rawseti(L, enum_table, 117);
  lua_pushinteger(L, 117);
  lua_setfield(L, enum_table, "Shortcut");
  lua_pushstring(L, "ShortcutOverride");
  lua_rawseti(L, enum_table, 51);
  lua_pushinteger(L, 51);
  lua_setfield(L, enum_table, "ShortcutOverride");
  lua_pushstring(L, "WhatsThisClicked");
  lua_rawseti(L, enum_table, 118);
  lua_pushinteger(L, 118);
  lua_setfield(L, enum_table, "WhatsThisClicked");
  lua_pushstring(L, "ToolBarChange");
  lua_rawseti(L, enum_table, 120);
  lua_pushinteger(L, 120);
  lua_setfield(L, enum_table, "ToolBarChange");
  lua_pushstring(L, "ApplicationActivate");
  lua_rawseti(L, enum_table, 121);
  lua_pushinteger(L, 121);
  lua_setfield(L, enum_table, "ApplicationActivate");
  lua_pushstring(L, "ApplicationActivated");
  lua_rawseti(L, enum_table, 121);
  lua_pushinteger(L, 121);
  lua_setfield(L, enum_table, "ApplicationActivated");
  lua_pushstring(L, "ApplicationDeactivate");
  lua_rawseti(L, enum_table, 122);
  lua_pushinteger(L, 122);
  lua_setfield(L, enum_table, "ApplicationDeactivate");
  lua_pushstring(L, "ApplicationDeactivated");
  lua_rawseti(L, enum_table, 122);
  lua_pushinteger(L, 122);
  lua_setfield(L, enum_table, "ApplicationDeactivated");
  lua_pushstring(L, "QueryWhatsThis");
  lua_rawseti(L, enum_table, 123);
  lua_pushinteger(L, 123);
  lua_setfield(L, enum_table, "QueryWhatsThis");
  lua_pushstring(L, "EnterWhatsThisMode");
  lua_rawseti(L, enum_table, 124);
  lua_pushinteger(L, 124);
  lua_setfield(L, enum_table, "EnterWhatsThisMode");
  lua_pushstring(L, "LeaveWhatsThisMode");
  lua_rawseti(L, enum_table, 125);
  lua_pushinteger(L, 125);
  lua_setfield(L, enum_table, "LeaveWhatsThisMode");
  lua_pushstring(L, "ZOrderChange");
  lua_rawseti(L, enum_table, 126);
  lua_pushinteger(L, 126);
  lua_setfield(L, enum_table, "ZOrderChange");
  lua_pushstring(L, "HoverEnter");
  lua_rawseti(L, enum_table, 127);
  lua_pushinteger(L, 127);
  lua_setfield(L, enum_table, "HoverEnter");
  lua_pushstring(L, "HoverLeave");
  lua_rawseti(L, enum_table, 128);
  lua_pushinteger(L, 128);
  lua_setfield(L, enum_table, "HoverLeave");
  lua_pushstring(L, "HoverMove");
  lua_rawseti(L, enum_table, 129);
  lua_pushinteger(L, 129);
  lua_setfield(L, enum_table, "HoverMove");
  lua_pushstring(L, "AccessibilityHelp");
  lua_rawseti(L, enum_table, 119);
  lua_pushinteger(L, 119);
  lua_setfield(L, enum_table, "AccessibilityHelp");
  lua_pushstring(L, "AccessibilityDescription");
  lua_rawseti(L, enum_table, 130);
  lua_pushinteger(L, 130);
  lua_setfield(L, enum_table, "AccessibilityDescription");
  lua_pushstring(L, "AcceptDropsChange");
  lua_rawseti(L, enum_table, 152);
  lua_pushinteger(L, 152);
  lua_setfield(L, enum_table, "AcceptDropsChange");
  lua_pushstring(L, "MenubarUpdated");
  lua_rawseti(L, enum_table, 153);
  lua_pushinteger(L, 153);
  lua_setfield(L, enum_table, "MenubarUpdated");
  lua_pushstring(L, "ZeroTimerEvent");
  lua_rawseti(L, enum_table, 154);
  lua_pushinteger(L, 154);
  lua_setfield(L, enum_table, "ZeroTimerEvent");
  lua_pushstring(L, "GraphicsSceneMouseMove");
  lua_rawseti(L, enum_table, 155);
  lua_pushinteger(L, 155);
  lua_setfield(L, enum_table, "GraphicsSceneMouseMove");
  lua_pushstring(L, "GraphicsSceneMousePress");
  lua_rawseti(L, enum_table, 156);
  lua_pushinteger(L, 156);
  lua_setfield(L, enum_table, "GraphicsSceneMousePress");
  lua_pushstring(L, "GraphicsSceneMouseRelease");
  lua_rawseti(L, enum_table, 157);
  lua_pushinteger(L, 157);
  lua_setfield(L, enum_table, "GraphicsSceneMouseRelease");
  lua_pushstring(L, "GraphicsSceneMouseDoubleClick");
  lua_rawseti(L, enum_table, 158);
  lua_pushinteger(L, 158);
  lua_setfield(L, enum_table, "GraphicsSceneMouseDoubleClick");
  lua_pushstring(L, "GraphicsSceneContextMenu");
  lua_rawseti(L, enum_table, 159);
  lua_pushinteger(L, 159);
  lua_setfield(L, enum_table, "GraphicsSceneContextMenu");
  lua_pushstring(L, "GraphicsSceneHoverEnter");
  lua_rawseti(L, enum_table, 160);
  lua_pushinteger(L, 160);
  lua_setfield(L, enum_table, "GraphicsSceneHoverEnter");
  lua_pushstring(L, "GraphicsSceneHoverMove");
  lua_rawseti(L, enum_table, 161);
  lua_pushinteger(L, 161);
  lua_setfield(L, enum_table, "GraphicsSceneHoverMove");
  lua_pushstring(L, "GraphicsSceneHoverLeave");
  lua_rawseti(L, enum_table, 162);
  lua_pushinteger(L, 162);
  lua_setfield(L, enum_table, "GraphicsSceneHoverLeave");
  lua_pushstring(L, "GraphicsSceneHelp");
  lua_rawseti(L, enum_table, 163);
  lua_pushinteger(L, 163);
  lua_setfield(L, enum_table, "GraphicsSceneHelp");
  lua_pushstring(L, "GraphicsSceneDragEnter");
  lua_rawseti(L, enum_table, 164);
  lua_pushinteger(L, 164);
  lua_setfield(L, enum_table, "GraphicsSceneDragEnter");
  lua_pushstring(L, "GraphicsSceneDragMove");
  lua_rawseti(L, enum_table, 165);
  lua_pushinteger(L, 165);
  lua_setfield(L, enum_table, "GraphicsSceneDragMove");
  lua_pushstring(L, "GraphicsSceneDragLeave");
  lua_rawseti(L, enum_table, 166);
  lua_pushinteger(L, 166);
  lua_setfield(L, enum_table, "GraphicsSceneDragLeave");
  lua_pushstring(L, "GraphicsSceneDrop");
  lua_rawseti(L, enum_table, 167);
  lua_pushinteger(L, 167);
  lua_setfield(L, enum_table, "GraphicsSceneDrop");
  lua_pushstring(L, "GraphicsSceneWheel");
  lua_rawseti(L, enum_table, 168);
  lua_pushinteger(L, 168);
  lua_setfield(L, enum_table, "GraphicsSceneWheel");
  lua_pushstring(L, "KeyboardLayoutChange");
  lua_rawseti(L, enum_table, 169);
  lua_pushinteger(L, 169);
  lua_setfield(L, enum_table, "KeyboardLayoutChange");
  lua_pushstring(L, "DynamicPropertyChange");
  lua_rawseti(L, enum_table, 170);
  lua_pushinteger(L, 170);
  lua_setfield(L, enum_table, "DynamicPropertyChange");
  lua_pushstring(L, "TabletEnterProximity");
  lua_rawseti(L, enum_table, 171);
  lua_pushinteger(L, 171);
  lua_setfield(L, enum_table, "TabletEnterProximity");
  lua_pushstring(L, "TabletLeaveProximity");
  lua_rawseti(L, enum_table, 172);
  lua_pushinteger(L, 172);
  lua_setfield(L, enum_table, "TabletLeaveProximity");
  lua_pushstring(L, "NonClientAreaMouseMove");
  lua_rawseti(L, enum_table, 173);
  lua_pushinteger(L, 173);
  lua_setfield(L, enum_table, "NonClientAreaMouseMove");
  lua_pushstring(L, "NonClientAreaMouseButtonPress");
  lua_rawseti(L, enum_table, 174);
  lua_pushinteger(L, 174);
  lua_setfield(L, enum_table, "NonClientAreaMouseButtonPress");
  lua_pushstring(L, "NonClientAreaMouseButtonRelease");
  lua_rawseti(L, enum_table, 175);
  lua_pushinteger(L, 175);
  lua_setfield(L, enum_table, "NonClientAreaMouseButtonRelease");
  lua_pushstring(L, "NonClientAreaMouseButtonDblClick");
  lua_rawseti(L, enum_table, 176);
  lua_pushinteger(L, 176);
  lua_setfield(L, enum_table, "NonClientAreaMouseButtonDblClick");
  lua_pushstring(L, "MacSizeChange");
  lua_rawseti(L, enum_table, 177);
  lua_pushinteger(L, 177);
  lua_setfield(L, enum_table, "MacSizeChange");
  lua_pushstring(L, "ContentsRectChange");
  lua_rawseti(L, enum_table, 178);
  lua_pushinteger(L, 178);
  lua_setfield(L, enum_table, "ContentsRectChange");
  lua_pushstring(L, "User");
  lua_rawseti(L, enum_table, 1000);
  lua_pushinteger(L, 1000);
  lua_setfield(L, enum_table, "User");
  lua_pushstring(L, "MaxUser");
  lua_rawseti(L, enum_table, 65535);
  lua_pushinteger(L, 65535);
  lua_setfield(L, enum_table, "MaxUser");
  lua_pushcfunction(L, LuaBinder< QEvent >::lqt_pushenum_Type_QFLAGS_CREATOR);
  lua_setfield(L, enum_table, "QFlags");
  lua_pushvalue(L, -1);
  lua_setfield(L, -3, "QEvent::Type");
  lua_remove(L, -2);
  return 1;
}
int LuaBinder< QEvent >::lqt_pushenum_Type_QFLAGS_CREATOR (lua_State *L) {
	int argn = lua_gettop(L);
	int i = 0;
  void *p  = lua_newuserdata(L, sizeof(QFlags<QEvent::Type>*) + sizeof(QFlags<QEvent::Type>));
  QFlags<QEvent::Type> *fl = static_cast<QFlags<QEvent::Type>*>( static_cast<void*>(&static_cast<QFlags<QEvent::Type>**>(p)[1]) );
	*(void**)p = fl;
	for (i=1;i<=argn;i++) {
    *fl |= static_cast<QEvent::Type>(lqtL_toenum(L, i, "QEvent::Type"));
	}
	if (luaL_newmetatable(L, "QFlags<QEvent::Type>*")) {
		lua_pushstring(L, "QFlags<QEvent::Type>*");
		lua_setfield(L, -2, "__qtype");
	}
	lua_setmetatable(L, -2);
	return 1;
}
int luaopen_QEvent (lua_State *L) {
  if (luaL_newmetatable(L, "QEvent*")) {
    lua_pushcfunction(L, LuaBinder< QEvent >::__LuaWrapCall__delete);
    lua_setfield(L, -2, "delete");
    lua_pushcfunction(L, LuaBinder< QEvent >::__LuaWrapCall__type);
    lua_setfield(L, -2, "type");
    lua_pushcfunction(L, LuaBinder< QEvent >::__LuaWrapCall__setAccepted);
    lua_setfield(L, -2, "setAccepted");
    lua_pushcfunction(L, LuaBinder< QEvent >::__LuaWrapCall__accept);
    lua_setfield(L, -2, "accept");
    lua_pushcfunction(L, LuaBinder< QEvent >::__LuaWrapCall__isAccepted);
    lua_setfield(L, -2, "isAccepted");
    lua_pushcfunction(L, LuaBinder< QEvent >::__LuaWrapCall__spontaneous);
    lua_setfield(L, -2, "spontaneous");
    lua_pushcfunction(L, LuaBinder< QEvent >::__LuaWrapCall__ignore);
    lua_setfield(L, -2, "ignore");
    LuaBinder< QEvent >::lqt_pushenum_Type(L);
    lua_setfield(L, -2, "Type");
    lua_newtable(L);
    lua_setfield(L, -2, "__base");
    lua_pushcfunction(L, lqtL_newindex);
    lua_setfield(L, -2, "__newindex");
    lua_pushcfunction(L, lqtL_index);
    lua_setfield(L, -2, "__index");
    lua_pushcfunction(L, lqtL_gc);
    lua_setfield(L, -2, "__gc");
    lua_pushstring(L, "QEvent");
    lua_setfield(L, -2, "__qtype");
		lua_setglobal(L, "QEvent");
  } else {
		lua_pop(L, 1);
	}
  return 0;
}
